For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • GETGet the list of all the events for the received emails.
      • GETFetch all events history for one particular received email.
      • GETRetrieve inbound attachment with download token.
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APIInbound parsing

Fetch all events history for one particular received email.

GET
https://api.brevo.com/v3/inbound/events/:uuid
GET
/v3/inbound/events/:uuid
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.inboundParsing.getInboundEmailEventsByUuid("uuid");
8}
9main();
1{
2 "attachments": [
3 {
4 "contentLength": 12345,
5 "contentType": "application/pdf",
6 "name": "invoice.pdf"
7 }
8 ],
9 "deliveredAt": "2017-03-12T12:31:00.000Z",
10 "logs": [
11 {
12 "date": "2017-03-12T12:30:00.000Z",
13 "type": "received"
14 },
15 {
16 "date": "2017-03-12T12:30:04.000Z",
17 "type": "webhookFailed"
18 },
19 {
20 "date": "2017-03-12T12:31:04.000Z",
21 "type": "webhookDelivered"
22 }
23 ],
24 "messageId": "<a_nice@message.id>",
25 "receivedAt": "2017-03-12T12:30:00.000Z",
26 "recipient": "bob@example.com",
27 "sender": "alice@example.com",
28 "subject": "Re: Question about your API"
29}
This endpoint will show the list of all events history for one particular received email.
Was this page helpful?
Previous

Retrieve inbound attachment with download token.

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

uuidstringRequired
UUID to fetch events specific to received email

Response

Detailed information and event history for the specified received email.
attachmentslist of objects
List of attachments of the email. This will be present only after the processing is done.
deliveredAtdatetime or null

Date when email was delivered successfully to the client’s webhook

logslist of objects

List of events/logs that describe the lifecycle of the email on the Brevo platform

messageIdstring

Value of the Message-ID header. This will be present only after the processing is done.

receivedAtdatetime
Date when email was received on SMTP relay
recipientstringformat: "email"

Recipient’s email address

senderstringformat: "email"

Sender’s email address

subjectstring
Value of the Subject header. This will be present only after the processing is done.

Errors

400
Bad Request Error
404
Not Found Error